Bug 639950 - Resource tree-when user moves from one auto-group node to another, it doesn't navigate to the same tab/subtab
Resource tree-when user moves from one auto-group node to another, it doesn't...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Sunil Kondkar
:
Depends On:
Blocks: rhq4 gwt-tree
  Show dependency treegraph
 
Reported: 2010-10-04 08:08 EDT by Sunil Kondkar
Modified: 2013-09-02 03:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:17:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sunil Kondkar 2010-10-04 08:08:57 EDT
Description of problem:

A user clicks on the autogroup node say JBossAs Servers(folder) and navigates to tab say 'Inventory->Members'. Later on when moves away to another autogroup node say 'Apache HTTP Servers', it navigates to the 'Summary' tab (The autogroup 'Apache HTTP Servers' supports the same tab and sub-tab--'Inventory->Members')

Version-Release number of selected component (if applicable):

Rhq build#363

How reproducible:

Always

Steps to Reproduce:

1) Login to Jon.
2) Navigate to Inventory->Platforms
3) Click on a platform and click on a autogroup node JBossAs Servers(folder) in the resource tree.
4) Click on 'Inventory' tab.
5) User is on 'Members' subtab.
6) Now move away and click on the autogroup node for 'Apache HTTP Servers'(folder).
  
Actual results:
User navigates to 'Summary' tab of the autogroup node 'Apache HTTP Servers'

Expected results:

User should be navigated to 'Inventory->Members' subtab of the autogroup node 'Apache HTTP Servers' when the same tab and sub-tab are supported.

Additional info:


Observed the same behavior when user moves from resource node to autogroup node where same same tab/subtab is supported.
Comment 1 Jay Shaughnessy 2011-02-15 21:26:44 EST
Fixed.
Comment 2 Sunil Kondkar 2011-03-28 05:21:07 EDT
Verified on build 1090 (Version: 4.0.0-SNAPSHOT Build Number: f19c23e)

User navigates to the same tab and sub tab when the same tab and sub-tab are supported. Also verified when user moves from resource node to auto-group node.

Marking as verified.
Comment 3 Heiko W. Rupp 2013-09-02 03:17:32 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.